package com.microservices.common.core.utils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author otto
 */
public class ListUtil {

    /**
     * 泛型列表格式转换
     *
     * @param obj
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> List<T> castList(List<?> obj, Class<T> clazz) {
        List<T> result = new ArrayList<T>();
        for (Object o : obj) {
            result.add(clazz.cast(o));
        }
        return result;
    }
}
